Bug 244357 - Review Request: pyxapian - Xapian python bindings
Review Request: pyxapian - Xapian python bindings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On: 244356
Blocks: 244389
  Show dependency treegraph
 
Reported: 2007-06-15 05:17 EDT by Marco Pesenti Gritti
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 03:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeff: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2007-06-15 05:17:11 EDT
Spec URL: http://dev.laptop.org/~marco/pyxapian.spec
SRPM URL: http://dev.laptop.org/~marco/pyxapian-0.1-1.1.20071005git.olpc1.src.rpm
Description:
Xapian Search Engine Interface, by Lemur Consulting.
Comment 1 Jeffrey C. Ollie 2007-06-15 09:16:04 EDT
Just some quick notes:

1. the following lines are no longer required:

%define pyver %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:       python-abi = %{pyver}

RPM will pick up the appropriate python-abi requirements automatically

2. The files section can be simplified to:

%{python_sitelib}

3. It would be nice if upstream would include a copy of the GPL in the tarball
and make the appropriate changes to the PKG-INFO file.
Comment 2 Jeffrey C. Ollie 2007-06-15 09:49:00 EDT
Full review follows, executive review: needs some work...

 1 - MUST: rpmlint must be run on every package. The output should be
           posted in the review.

W: pyxapian no-documentation

Would at least be nice to have a copy of the GPL.

E: pyxapian non-executable-script
/usr/lib/python2.5/site-packages/lemur/xapian/sei.py 0644
E: pyxapian non-executable-script
/usr/lib/python2.5/site-packages/lemur/xapian/highlight.py 0644

This can be fixed with something like:

%{__sed} -i -e '/^#!/,1d' src/lemur/xapian/sei.py src/lemur/xapian/highlight.py

E: pyxapian no-changelogname-tag
E: pyxapian no-changelogname-tag

Needs a changelog!

 2 - MUST: The package must be named according to the Package Naming
           Guidelines.

OK

 3 - MUST: The spec file name must match the base package %{name}, in
           the format %{name}.spec

OK

 4 - MUST: The package must meet the Packaging Guidelines.

This is no longer required (automatically determined by RPM):

Requires:       python-abi = %{pyver}

Buildroot is incorrect, need to at least add %{revision}.

%files can be simplified to:

%{python_sitelib}/*

The %pyver macro can be deleted as well.

Needs a changelog!

 5 - MUST: The package must be licensed with an open-source compatible
           license and meet other legal requirements as defined in the
           legal section of Packaging Guidelines.

OK (GPL)

 6 - MUST: The License field in the package spec file must match the
           actual license.

OK

 7 - MUST: If (and only if) the source package includes the text of
           the license(s) in its own file, then that file, containing
           the text of the license(s) for the package must be included
           in %doc.

OK (License not included)

 8 - MUST: The spec file must be written in American English.

OK

 9 - MUST: The spec file for the package MUST be legible. If the
           reviewer is unable to read the spec file, it will be
           impossible to perform a review.  Fedora is not the place
           for entries into the Obfuscated Code Contest ([WWW]
           http://www.ioccc.org/).

OK

10 - MUST: The sources used to build the package must match the
           upstream source, as provided in the spec URL. Reviewers
           should use md5sum for this task.

The source is not specified by URL, and there is no matching tarball
found at the project homepage.  Either a URL from where the tarball
can be downloaded must be provided or instructions need to be provided
on how to recreate the tarball.

11 - MUST: The package must successfully compile and build into binary
           rpms on at least one supported architecture.

OK (F-7/i386)

12 - MUST: If the package does not successfully compile, build or work
           on an architecture, then those architectures should be
           listed in the spec in ExcludeArch. Each architecture listed
           in ExcludeArch needs to have a bug filed in bugzilla,
           describing the reason that the package does not
           compile/build/work on that architecture. The bug number
           should then be placed in a comment, next to the
           corresponding ExcludeArch line. New packages will not have
           bugzilla entries during the review process, so they should
           put this description in the comment until the package is
           approved, then file the bugzilla entry, and replace the
           long explanation with the bug number. (Extras Only) The bug
           should be marked as blocking one (or more) of the following
           bugs to simplify tracking such issues...

OK (noarch package)

13 - MUST: All build dependencies must be listed in BuildRequires,
           except for any that are listed in the exceptions section of
           Packaging Guidelines; inclusion of those as BuildRequires
           is optional. Apply common sense.

OK

14 - MUST: The spec file MUST handle locales properly. This is done by
           using the %find_lang macro. Using %{_datadir}/locale/* is strictly
           forbidden.

OK (no language-specific files)

15 - MUST: If the package contains shared library files located in the
           dynamic linker's default paths, that package must call
           ldconfig in %post and %postun. If the package has multiple
           subpackages with libraries, each subpackage should also
           have a %post/%postun section that calls /sbin/ldconfig. An
           example of the correct syntax for this is...

OK (no shared library files)

16 - MUST: If the package is designed to be relocatable, the packager
           must state this fact in the request for review, along with
           the rationalization for relocation of that specific
           package. Without this, use of Prefix: /usr is considered a
           blocker.

OK (not relocatable)

17 - MUST: A package must own all directories that it creates. If it
           does not create a directory that it uses, then it should
           require a package which does create that directory. The
           exception to this are directories listed explicitly in the
           Filesystem Hierarchy Standard ([WWW]
           http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is
           safe to assume that those directories exist.

OK

18 - MUST: A package must not contain any duplicate files in the
          %files listing.

OK

19 - MUST: Permissions on files must be set properly. Executables
           should be set with executable permissions, for
           example. Every %files section must include a %defattr(...)
           line.

OK

20 - MUST: Each package must have a %clean section, which contains rm
           -rf %{buildroot} (or $RPM_BUILD_ROOT).

OK

21 - MUST: Each package must consistently use macros, as described in
           the macros section of Packaging Guidelines.

OK

22 - MUST: The package must contain code, or permissable content. This
           is described in detail in the code vs. content section of
           Packaging Guidelines.

OK (code)

23 - MUST: Large documentation files should go in a -doc
           subpackage. (The definition of large is left up to the
           packager's best judgement, but is not restricted to
           size. Large can refer to either size or quantity)

OK (no documentation)

24 - MUST: If a package includes something as %doc, it must not affect
           the runtime of the application. To summarize: If it is in
           %doc, the program must run properly if it is not present.

OK (no documentation)

25 - MUST: Header files or static libraries must be in a -devel
           package.

OK

26 - MUST: Files used by pkgconfig (.pc files) must be in a -devel
           package.

OK

27 - MUST: If a package contains library files with a suffix
           (e.g. libfoo.so.1.1), then library files that end in .so
           (without suffix) must go in a -devel package.

OK

28 - MUST: In the vast majority of cases, devel packages must require
           the base package using a fully versioned dependency:
           Requires: %{name} = %{version}-%{release}

OK

29 - MUST: Packages must NOT contain any .la libtool archives, these
           should be removed in the spec.

OK

30 - MUST: Packages containing GUI applications must include a
           %{name}.desktop file, and that file must be properly
           installed with desktop-file-install in the %install
           section. This is described in detail in the desktop files
           section of Packaging Guidelines. If you feel that your
           packaged GUI application does not need a .desktop file, you
           must put a comment in the spec file with your explanation.

OK

31 - MUST: Packages must not own files or directories already owned by
           other packages. The rule of thumb here is that the first
           package to be installed should own the files or directories
           that other packages may rely upon. This means, for example,
           that no package in Fedora should ever share ownership with
           any of the files or directories owned by the filesystem or
           man package. If you feel that you have a good reason to own
           a file or directory that another package owns, then please
           present that at package review time.

OK

32 - MUST: Release tag must contain %{?dist}.

OK

33 - SHOULD: If the source package does not include license text(s) as
           a separate file from upstream, the packager SHOULD query
           upstream to include it.

Has a query been sent upstream?  It would certainly be easier to have
a copy of the GPL in the tarball (and marked in the PKG-INFO file)
rather than having to dig through the sources.

34 - SHOULD: The description and summary sections in the package spec
           file should contain translations for supported Non-English
           languages, if available.

OK (not available)

35 - SHOULD: The reviewer should test that the package builds in mock.

OK (F-7/i386)

36 - SHOULD: The package should compile and build into binary rpms on
           all supported architectures.

I do not have access to PPC but since this is pure Python code it
should be OK.

37 - SHOULD: The reviewer should test that the package functions as
           described. A package should not segfault instead of
           running, for example.

Untested.

38 - SHOULD: If scriptlets are used, those scriptlets must be
           sane. This is vague, and left up to the reviewers judgement
           to determine sanity.
           REMINDER: Check for condrestart if a service is restarted
           by scriptlets.
           REMINDER: Verify that non-chkconfig/ldconfig commands have
           "|| :".

OK (no scriptlets)

39 - SHOULD: Usually, subpackages other than devel should require the
           base package using a fully versioned dependency.

OK (no subpackages)

So, needs some work...
Comment 3 Kevin Kofler 2007-06-15 21:07:02 EDT
Your snapshot date can't be right, 20071005 is in the future. You probably mean 
20070510.
Comment 4 John (J5) Palmieri 2007-06-19 18:31:15 EDT
New spec and srpm:

SPEC: http://people.freedesktop.org/~johnp/pyxapian.spec
SRPM: http://people.freedesktop.org/~johnp/pyxapian-0.1-1.2.20070510git.src.rpm

- clean up spec 
- add ChangeLog
- correct date in alpha tag
- add COPYING file for now until upstream does so
Comment 5 Jeffrey C. Ollie 2007-06-19 22:19:58 EDT
Looks good.  APPROVED, however a couple of minor items slipped in:

W: pyxapian spurious-executable-perm /usr/share/doc/pyxapian-0.1/COPYING

Remove the executable bit...

W: pyxapian incoherent-version-in-changelog 0.1-1.2.20071005git
0.1-1.2.20070510git.fc7

Looks like the changelog was created before the alphatag was fixed...

Both these issues can be fixed after importing though.
Comment 6 Marco Pesenti Gritti 2007-06-20 04:35:40 EDT
I'll fix those issues while importing, thanks.

New Package CVS Request
=======================
Package Name: pyxapian
Short Description: Xapian python bindings
Owners: mpg@redhat.com
Branches: OLPC-2
InitialCC: mpg@redhat.com
Comment 7 Kevin Fenzi 2007-06-20 12:39:25 EDT
cvs done.
Comment 8 Jeffrey C. Ollie 2007-06-24 23:09:23 EDT
Please close this bug once the package has been imported and built.

Note You need to log in before you can comment on or make changes to this bug.